带xwidget的Emacs在 Mac Mojave上能编译不成功

先后试了https://github.com/veshboo/emacshttps://github.com/d12frosted/homebrew-emacs-plus,前者在Mojave上渲染有问题不显示内容,后者干脆git patch都apply不上,用官方源手动merge了一些veshboo代码编译还是各种报错通不过。折腾了一整天,只是想用上带xwidget的Emacs,请问有没有啥能省点心的办法?

9.28问题解决,参见

将对应修改搬运到d12frosted/homebrew-emacs-plus即可

brew install emacs-plus --with-jansson --with-xwidgets --with-pdumper --HEAD 要加上pdumper

2赞

这个已经试过了,带上–with-pdumpe可以apply patch,但是在Mojava编译会报跟我自己merge版本一样的错,貌似这个错误是我更新了Xcode11的问题,目前还没有解决https://github.com/daviderestivo/homebrew-emacs-head/issues/15

我编译成功了,xcode版本是10.3。实在不行你可以卸载安装低版本的xcode.

好的,感谢你提供的情报

看这个,patch 需要更新了。

感谢,不过这个是7月份的patch了,现在的问题是由于升级Xcode 11导致temacs 调用 aligned_alloc时找不到实现报动态链接错,这两天刚有人提了issue目前还没有解决